package com.deer.wms.produce.manage.model;

import java.util.List;

/**
 * @Author: hy
 * @Date: 2019/8/25 13:01
 * @Version 1.0
 */
public class ProcessBomDto extends ProcessBom{

    private Integer productProcessId;

    private String productProcessName;

    private String companyName;

    private String productName;

    private String productSpecification;

    private String unitName;

    private String productWorkSpecification;

    private String processContent;

    private Integer processId;

    private Integer processMaterialsId;

    public Integer getProcessMaterialsId() {
        return processMaterialsId;
    }

    public void setProcessMaterialsId(Integer processMaterialsId) {
        this.processMaterialsId = processMaterialsId;
    }

    public Integer getProcessId() {
        return processId;
    }

    public void setProcessId(Integer processId) {
        this.processId = processId;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductSpecification() {
        return productSpecification;
    }

    public void setProductSpecification(String productSpecification) {
        this.productSpecification = productSpecification;
    }

    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    public String getProductWorkSpecification() {
        return productWorkSpecification;
    }

    public void setProductWorkSpecification(String productWorkSpecification) {
        this.productWorkSpecification = productWorkSpecification;
    }

    @Override
    public String getProcessContent() {
        return processContent;
    }

    @Override
    public void setProcessContent(String processContent) {
        this.processContent = processContent;
    }

    private List<ProcessMaterialsBomDto> processMaterialsBomDtoList;

    public List<ProcessMaterialsBomDto> getProcessMaterialsBomDtoList() {
        return processMaterialsBomDtoList;
    }

    public void setProcessMaterialsBomDtoList(List<ProcessMaterialsBomDto> processMaterialsBomDtoList) {
        this.processMaterialsBomDtoList = processMaterialsBomDtoList;
    }

    @Override
    public Integer getProductProcessId() {
        return productProcessId;
    }

    @Override
    public void setProductProcessId(Integer productProcessId) {
        this.productProcessId = productProcessId;
    }

    public String getProductProcessName() {
        return productProcessName;
    }

    public void setProductProcessName(String productProcessName) {
        this.productProcessName = productProcessName;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }
}
